Skip to content
Ona Docs

ListProjectEnvironmentClasses

POST/gitpod.v1.ProjectService/ListProjectEnvironmentClasses

Lists environment classes of a project.

Use this method to:

  • View all environment classes of a project

Examples

  • List project environment classes:

    Shows all environment classes of a project.

    projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    pagination:
      pageSize: 20
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
projectId: optional string

project_id specifies the project identifier

formatuuid
ReturnsExpand Collapse
projectEnvironmentClasses: optional array of ProjectEnvironmentClass { environmentClassId, localRunner, order }
environmentClassId: optional string

Use a fixed environment class on a given Runner. This cannot be a local runner’s environment class.

formatuuid
localRunner: optional boolean

Use a local runner for the user

order: optional number

order is the priority of this entry

formatint32

ListProjectEnvironmentClasses

curl https://app.gitpod.io/api/gitpod.v1.ProjectService/ListProjectEnvironmentClasses \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "projectEnvironmentClasses": [
    {
      "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "localRunner": true,
      "order": 0
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "projectEnvironmentClasses": [
    {
      "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "localRunner": true,
      "order": 0
    }
  ]
}